cURL
curl --request PUT \
--url https://api.atlast.co/v1/collections/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.atlast.co/v1/collections/cancel"
payload = { "shipmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shipmentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.atlast.co/v1/collections/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Collections
Cancel a shipment collection
PUT
/
collections
/
cancel
cURL
Royal Mail collections can be cancelled using this endpoint.
Do not attempt to cancel collections that are just about to happen or have already been collected.
Such calls will likely fail.
This endpoint is only available for Royal Mail collections.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Home collection details Currently only works for Royal Mail Collections.
The id of the shipment created with the return or simple shipment endpoints.
Response
200
The request has succeeded.
⌘I